Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 26 Jul 2017 11:01:20 +0200

On Wed, Jul 26, 2017 at 10:35 AM, Walid MOGHRABI
<[email-masked]> wrote:
> Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up.
> My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed)

Maybe Stefan can provide an image that you can try?

> By the way, Stefan put the finger on one point : in /usr/sbin/x2gothinclientd, I commented the whole randr stuff block (from line 114 to line 175) to make a try then restarted the x2gothinclient-displaymanager but while it didn't fix my multimonitor support within the X2Go session, it fixed a bad ordering of the monitors.
> Before that, my monitors were inverted (right was left and left was right), commenting this block lead to right ordering of the monitors this time.

AFAIU wrong ordering is the raeson for that code. You can instruct it
how to arrange the monitors via that code ("above", "leftof" a.s.o.)

> Concerning your test Uli, doing "Ctrl+Alt+F" within the X2Go session on the TCE did nothing.
> I don't know if it was meant to do anything but I did it many times following the action by a xrandr output in the console, nothing changed, same values all the time (one big screen, not 2)

Hmm, this keystroke is supposed to toggle fullscreen. And it is
working in the TCE image I have here (switches to windowed mode and
back again to fullscreen on the second stroke). You could also try
Ctrl+Shift+Alt+F but I doubt it will work if the other keystroke did
not work...

Uli